Bug 40299 - sync samba msPrint-ConnectionPolicy objects
sync samba msPrint-ConnectionPolicy objects
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-4-errata
Assigned To: Felix Botner
Arvid Requate
:
Depends on: 40298
Blocks: 40466
  Show dependency treegraph
 
Reported: 2015-12-18 15:22 CET by Felix Botner
Modified: 2016-01-20 13:19 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2015-12-18 15:22:32 CET
+++ This bug was initially created as a clone of Bug #40298 +++

We need that for printer gpo's in ucs@school.
Comment 1 Felix Botner univentionstaff 2016-01-07 13:48:44 CET
merged from 4.1-0
Comment 2 Arvid Requate univentionstaff 2016-01-07 20:18:33 CET
Verified: Backport and advisory Ok.

I backported the corresponding ucs-test case as well.

Customer wanting to make use of this new feature will have to manually run the following three commands on all systems running an S4-Connector, so that's usually on the DC Master (and on UCS@school Slave PDCs):

ucr set connector/s4/mapping/msprintconnectionpolicy=yes
service univention-s4-connector restart
/usr/share/univention-s4-connector/resync_object_from_s4.py \
   --filter '(objectClass=msPrint-ConnectionPolicy)'
Comment 3 Janek Walkenhorst univentionstaff 2016-01-12 12:30:44 CET
<http://errata.software-univention.de/ucs/4.0/380.html>